#<profile4xi profile = "12" />
# =================================================================================================
#<program4xi program = "uskeleton4xi.py">
#<abstract4xi abstract = "offers functions and class starting with k/K"/>
#<refer4xi reference = "DragonXi"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# =================================================================================================

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'USkeleton4Xi',
            'init_uskeleton4xi'
            'set_uskeleton4xi'
            'get_uskeleton4xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

from decimal import *
#"
#/>

# -------------------------------------------------------------------------------------------------
# Multiprocessing Imports                          
# -------------------------------------------------------------------------------------------------
#<process4xi process = "
import _multiprocessing
#"
#/>


# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "
from ace_object4xi import ace_object4xi
from print4xi import print4xi
from time4xi import time4xi
from reason_object4xi import reason_object4xi
from sense_object4xi import sense_object4xi
#"
#/>

# -------------------------------------------------------------------------------------------------
# Global constants                            
# ------------------------------------------------------------------------------------------------
#<globalize4xi globalization = "
# None
#"
#/>
 

# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-uskeleton4xi" usage = "
# initializes uskeleton4xi objects
#"> 
#<state4xi status = "ACK4review; ACK4tagging; NACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------   
def init_uskeleton4xi(u_init_param1 = None): 
    '''
    init_uskeleton4xi initializes uskeleton4xi objects
    '''

    # -----------------------------------------------------------------------------------------
    # (Step 1/3)           
    # -----------------------------------------------------------------------------------------          
    class2print = "init_uskeleton4xi"
    method2print = "init_uskeleton4xi"

    message2print = "{(Step 1/3a) started" + "; init-uskeleton4xi-started: " + str(init_uskeleton4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
        
    message2print = "{(Step 1/3b) passed" + "; u-init-param1-passed-to-init-uskeleton4xi: " + str(u_init_param1) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    
    # -----------------------------------------------------------------------------------------
    # (Step 2/3)       
    # -----------------------------------------------------------------------------------------                  
    u2xi = u_init_param1            
    
    message2print = "{(Step 2/3) initialized" + "; u2xi-initialized-by-init-uskeleton4xi to: " + str(u2xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
        

    # -----------------------------------------------------------------------------------------
    # (Step 3/3)           
    # -----------------------------------------------------------------------------------------
    message2print = "{(Step 3/3) returning" + "; init-uskeleton4xi-returning: "  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)      
        
#</function4xi>


# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-uskeleton4xi" usage = "
# setializes uskeleton4xi objects
#"> 
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------   
def set_uskeleton4xi(u_set_param1 = None): 
    '''
    set_uskeleton4xi sets uskeleton4xi objects
    '''

    # -----------------------------------------------------------------------------------------
    # (Step 1/3)           
    # -----------------------------------------------------------------------------------------          
    class2print = "set_uskeleton4xi"
    method2print = "set_uskeleton4xi"

    message2print = "{(Step 1/3a) started" + "; set-uskeleton4xi-started: " + str(set_uskeleton4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
        
    message2print = "{(Step 1/3b) passed" + "; u-set-param1-passed-to-set-uskeleton4xi: " + str(u_set_param1) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
    
    # -----------------------------------------------------------------------------------------
    # (Step 2/3)       
    # -----------------------------------------------------------------------------------------                  
    u2xi = u_set_param1            
    
    message2print = "{(Step 2/3) initialized" + "; u2xi-initialized-by-set-uskeleton4xi to: " + str(u2xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
        

    # -----------------------------------------------------------------------------------------
    # (Step 3/3)           
    # -----------------------------------------------------------------------------------------
    message2print = "{(Step 3/3) returning" + "; set-uskeleton4xi-returning: "  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)      
        
#</function4xi>
 
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-uskeleton4xi" usage = "
#   gets uskeleton4xi objects
#"> 
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------   
def get_uskeleton4xi(): 
    '''
    get_uskeleton4xi gets uskeleton4xi objects
    '''

    # -----------------------------------------------------------------------------------------
    # (Step 1/3)           
    # -----------------------------------------------------------------------------------------          
    class2print = "get_uskeleton4xi"
    method2print = "get_uskeleton4xi"

    message2print = "{(Step 1/3) started" + "; get-uskeleton4xi-started: " + str(get_uskeleton4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
        

    
    # -----------------------------------------------------------------------------------------
    # (Step 2/3)       
    # -----------------------------------------------------------------------------------------                  
    
    u2xi = "u2xi"
        
    message2print = "{(Step 2/3) got" + "; u2xi-got-by-get-uskeleton4xi: " + str(u2xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)
                
    # -----------------------------------------------------------------------------------------
    # (Step 3/3)           
    # -----------------------------------------------------------------------------------------
    
    message2print = "{returning" + "; u2xi-returning-by-get-uskeleton4xi: " + str(u2xi) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)    
                            
    
    return u2xi     
        
#</function4xi>
 
                                               
# =================================================================================================
# USkeleton4Xi class
#<class4xi class = "USkeleton4Xi" base = "object" child = "None"
#       synopsis = "offers  methods for uskeleton4xi module" usage = "skeleton for u*4xi.py"
#>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# =================================================================================================
class USkeleton4Xi(object): 
    ''' 
    USkeleton4Xi offers  methods for uskeleton4xi module
    '''            

    #                                        
    # ---------------------------------------------------------------------------------------------
    # sharable class variables
    # ---------------------------------------------------------------------------------------------      
    #<share4xi share = " 
    classvariable2u = None
    #"
    #/>
        
    # ---------------------------------------------------------------------------------------------
    # Public API of this class
    # ---------------------------------------------------------------------------------------------    
    #<expose4xi expose = "
    _exposed_ = (
    'init_uskeleton',
    'set_uskeleton',
    'get_uskeleton',    
    'sense',
    'reason',
    'ace')          
    #"
    #/>
 
    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-of-USkeleton4Xi" usage = "initializes USkeleton4Xi">
    #<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # ---------------------------------------------------------------------------------------------   
    def __init__(self, u_init_param1 = None):
        '''
        _init__ method initializes USkeleton4Xi
        ''' 
        
        # -----------------------------------------------------------------------------------------
        # (Step 1/3)           
        # -----------------------------------------------------------------------------------------
                    
        class2print = "USkeleton4Xi"
        method2print = "__init__"
                     
        message2print = "{(Step 1/3a) started" + "; init-of-USkeleton4Xi-started: "  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   

        message2print = "{(Step 1/3b) borning" + "; uskeleton2xi-of-USkeleton4Xi-borning: " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)       
                
        message2print = "{(Step 1/3c) inheriting" + "; object-inheriting-by-uskeleton2xi-of-USkeleton4Xi: " + str(object)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        
        message2print = "{(Step 1/3d) sharing" + "; classvariable2u-sharing-by-uskeleton2xi-of-USkeleton4Xi: " + str(USkeleton4Xi.classvariable2u)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                      
                                
        message2print = "{(Step 1/3e) passed" + "; u-init-param1-passed-to-init-of-USkeleton4Xi: " + str(u_init_param1) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                                          
        
        # -----------------------------------------------------------------------------------------
        # (Step 2/3)             
        # -----------------------------------------------------------------------------------------
        
        message2print = "{(Step 2/3a) passing" + "; u-init-param1-passing-to-init-uskeleton4xi-by-init-of-USkeleton4Xi: " + str(u_init_param1) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
        
        init_uskeleton4xi(u_init_param1)
        
        message2print = "{(Step 2/3b) performed" + "; init-uskeleton4xi-performed-by-init-of-USkeleton4Xi: " + str(init_uskeleton4xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
                        
        # -----------------------------------------------------------------------------------------
        # (Step 3/3)             
        # -----------------------------------------------------------------------------------------
        message2print = "{(Step 3/3a) activated" + "; uskeleton2xi-of-USkeleton4Xi-activated: " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)  
                
        message2print = "{(Step 3/3b) inherited" + "; object-inherited-by-uskeleton2xi-of-USkeleton4Xi: " + str(object)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        
        message2print = "{(Step 3/3c) shared" + "; classvariable2u-shared-by-uskeleton2xi-of-USkeleton4Xi: " + str(USkeleton4Xi.classvariable2u)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                      
       
        message2print = "{(Step 3/3d) returning"  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
    #</methodize4xi>
    

    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-uskeleton-of-USkeleton4Xi" usage = "initializes objects of USkeleton4Xi">
    #<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # ---------------------------------------------------------------------------------------------   
    def init_uskeleton(self, u_init_param1 = None):
        '''
        init_uskeleton method initializes objects of USkeleton4Xi
        ''' 
        
        # -----------------------------------------------------------------------------------------
        # (Step 1/3)           
        # -----------------------------------------------------------------------------------------              
        class2print = "USkeleton4Xi"
        method2print = "init_uskeleton"
                     
        message2print = "{(Step 1/3a) started" + "; init-uskeleton-of-USkeleton4Xi-started: "  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
            
        message2print = "{(Step 1/3b) passed" + "; u-init-param1-passed-to-init-uskeleton-of-USkeleton4Xi: " + str(u_init_param1) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                                      
          
        # -----------------------------------------------------------------------------------------
        # (Step 2/3)           
        # -----------------------------------------------------------------------------------------
        message2print = "{(Step 2/3a) passing" + "; u-init-param1-passing-to-init-uskeleton4xi-by-init-uskeleton-of-USkeleton4Xi: " + str(u_init_param1) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
                
  
        init_uskeleton4xi(u_init_param1)

        message2print = "{(Step 2/3b) performed" + "; init-uskeleton4xi-performed-by-init-uskeleton-of-USkeleton4Xi: " + str(init_uskeleton4xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
                                
        # -----------------------------------------------------------------------------------------
        # (Step 3/3)           
        # ----------------------------------------------------------------------------------------- 
        message2print = "{(Step 3/3) returning" + "; init-uskeleton-of-USkeleton4Xi-returning: "  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
                                
                            
    #</methodize4xi>
    

    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-uskeleton-of-USkeleton4Xi" usage = "sets objects of USkeleton4Xi">
    #<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # ---------------------------------------------------------------------------------------------   
    def set_uskeleton(self, u_set_param1 = None):
        '''
        set_uskeleton method sets objects of USkeleton4Xi
        ''' 
        
        # -----------------------------------------------------------------------------------------
        # (Step 1/3)           
        # -----------------------------------------------------------------------------------------              
        class2print = "USkeleton4Xi"
        method2print = "set_uskeleton"
                     
        message2print = "{(Step 1/3a) started" + "; set-uskeleton-of-USkeleton4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
            
        message2print = "{(Step 1/3b) passed" + "; u-set-param1-passed-to-set-uskeleton-of-USkeleton4Xi: " + str(u_set_param1) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                                      
          
        # -----------------------------------------------------------------------------------------
        # (Step 2/3)           
        # -----------------------------------------------------------------------------------------
        message2print = "{(Step 2/3a) passing" + "; u-set-param1-passing-to-set-uskeleton4xi-by-set-uskeleton-of-USkeleton4Xi: " + str(u_set_param1) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
                
  
        set_uskeleton4xi(u_set_param1)

        message2print = "{(Step 2/3b) performed" + "; set-uskeleton4xi-performed-by-set-uskeleton-of-USkeleton4Xi: " + str(set_uskeleton4xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
                                
        # -----------------------------------------------------------------------------------------
        # (Step 3/3)           
        # ----------------------------------------------------------------------------------------- 
        message2print = "{(Step 3/3) returning" + "; set-uskeleton-of-USkeleton4Xi-returning: "  + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
                                
                            
    #</methodize4xi>

    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-uskeleton-of-USkeleton4Xi" usage = "gets objects of USkeleton4Xi">
    #<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # ---------------------------------------------------------------------------------------------   
    def get_uskeleton(self):
        '''
        get_uskeleton method gets objects of USkeleton4Xi
        ''' 
        
        # -----------------------------------------------------------------------------------------
        # (Step 1/2)           
        # -----------------------------------------------------------------------------------------              
        class2print = "USkeleton4Xi"
        method2print = "get_uskeleton"
                     
        message2print = "{(Step 1/2) started" + "; get-uskeleton-of-USkeleton4Xi-started: "  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
            

        # -----------------------------------------------------------------------------------------
        # (Step 2/2)           
        # ----------------------------------------------------------------------------------------- 
        message2print = "{(Step 2/2) returning" + "; get-uskeleton4xi-function-returning-by-get-uskeleton-of-USkeleton4Xi: " + str(get_uskeleton4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)  
                
        return get_uskeleton4xi()
                                
                            
    #</methodize4xi>                                     
    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "sense-of-USkeleton4Xi" usage = "senses USkeleton4Xi class objects">
    #<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # ---------------------------------------------------------------------------------------------
    def sense(self):
        '''
        method sense: senses USkeleton4Xi class objects
        '''
        
        # -----------------------------------------------------------------------------------------
        #
        # ----------------------------------------------------------------------------------------- 
        class2print = 'USkeleton4Xi'
        method2print = 'sense'
        
                     
        message2print = "{started" + "; sense-of-USkeleton4Xi-started: "  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
    
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------  
        
        message2print = "{sensing" + "; USkeleton4Xi-sensing-by-sense-of-USkeleton4Xi: " + str(USkeleton4Xi)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
                        
        
        # -----------------------------------------------------------------------------------------
        # get sensed knowledge for this object
        # -----------------------------------------------------------------------------------------        
        
        kb2xi = sense_object4xi(self)
        
        message2print = "{got" + "; kb2xi-got-by-sense-of-USkeleton4Xi: " + str(kb2xi)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
                
        
        # -----------------------------------------------------------------------------------------
        # add knowledge specific to this object
        # format example: kb2xi['time2xi'] = time4xi() #adding time 
        # -----------------------------------------------------------------------------------------         
        try:
            kb2xi['classvariable2u-of-USkeleton4Xi'] = USkeleton4Xi.classvariable2u
        except:
            message2print = "{yielded" + "; kb2xi-yielded-by-sense-of-USkeleton4Xi: " + str(kb2xi)  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print) 
            
      
        message2print = "{sensed" + "; USkeleton4Xi-sensed-by-sense-of-USkeleton4Xi: " + str(USkeleton4Xi)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)    
        
        # -----------------------------------------------------------------------------------------
        # 
        # -----------------------------------------------------------------------------------------         
        
        message2print = "{returning" + "; kb2xi-returning-by-sense-of-USkeleton4Xi: " + str(kb2xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)    
                                
          
        return kb2xi
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------        
    #</methodize4xi>
    
        
    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "reason-of-USkeleton4Xi" usage = "reasons USkeleton4Xi class objects">
    #<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # ---------------------------------------------------------------------------------------------
    def reason(self):
        '''
        method reason: reasons USkeleton4Xi class objects
        '''
        
        # -----------------------------------------------------------------------------------------
        #
        # ----------------------------------------------------------------------------------------- 
        class2print = 'USkeleton4Xi'
        method2print = 'reason'

                     
        message2print = "{started" + "; reason-of-USkeleton4Xi-started: "  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
          
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------
        
        message2print = "{reasoning" + "; USkeleton4Xi-reasoning-by-reason-of-USkeleton4Xi: " + str(USkeleton4Xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
                
        
        # -----------------------------------------------------------------------------------------
        # get reasoned knowledge for this object
        # -----------------------------------------------------------------------------------------         
        
        kb4xi = reason_object4xi(self)
        
        
        message2print = "{got" + "; kb4xi-got-by-reason-of-USkeleton4Xi: " + str(kb4xi)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
                
        
        # -----------------------------------------------------------------------------------------
        # add knowledge specific to this object
        # format example: kb4xi['time2xi'] = time4xi() #adding time 
        # -----------------------------------------------------------------------------------------          
        try:
            kb4xi['time-reason-of-USkeleton4Xi'] = time4xi() 
        except:
            message2print = "{yielded" + "; kb4xi-yielded-by-reason-of-USkeleton4Xi: " + str(kb4xi)  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print) 
       
          
        
        message2print = "{reasoned" + "; USkeleton4Xi-reasoned-by-reason-of-USkeleton4Xi: " + str(USkeleton4Xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------        
        
        message2print = "{returning" + "; kb4xi-returning-by-reason-of-USkeleton4Xi: " + str(kb4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)    
                                
          
        return kb4xi
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------            
    #</methodize4xi>
    
    
    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "ace-of-USkeleton4Xi" usage = "aces USkeleton4Xi class objects">
    #<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # ---------------------------------------------------------------------------------------------
    def ace(self):
        '''
        method ace: aces USkeleton4Xi class objects 
        '''
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------       
        
        
        class2print = 'USkeleton4Xi'
        method2print = 'ace'
        
                     
        message2print = "{started" + "; ace-of-USkeleton4Xi-started: "  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
              
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------
        
        message2print = "{acing" + "; USkeleton4Xi-acing-by-ace-of-USkeleton4Xi: " + str(USkeleton4Xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
                    
        
        # -----------------------------------------------------------------------------------------
        # get aced knowledge for this object
        # -----------------------------------------------------------------------------------------        
        
        kb8xi = ace_object4xi(self)  
        
        message2print = "{got" + "; kb8xi-got-by-ace-of-USkeleton4Xi: " + str(kb8xi)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
                


        # -----------------------------------------------------------------------------------------
        # add knowledge specific to this object
        # format example: kb8xi['time2xi'] = time4xi() #adding time 
        # -----------------------------------------------------------------------------------------              
        try:
            kb8xi['time-ace-of-USkeleton4Xi'] = time4xi()
        except:
            message2print = "{yielded" + "; kb8xi-yielded-by-ace-of-USkeleton4Xi: " + str(kb8xi)  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print) 
              
        message2print = "{aced" + "; USkeleton4Xi-aced-by-ace-of-USkeleton4Xi: " + str(USkeleton4Xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------        
        message2print = "{returning" + "; kb8xi-returning-by-ace-of-USkeleton4Xi: " + str(kb8xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)    
                                  
        
        return kb8xi
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------            
    #</methodize4xi>
#</class4xi>
#</program4xi>

# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_uskeleton4xi.txt
#   sense-test-uskeleton4xi.xml
#   reason-test-uskeleton4xi.xml
#   ace-test-uskeleton4xi.xml
#"
#>


# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of uskeleton4xi.py                              
# ------------------------------------------------------------------------------------------------- 
#"
#/>
